org.apache.synapse.commons.executors.config

## Class PriorityExecutorFactory

- java.lang.Object
- - org.apache.synapse.commons.executors.config.PriorityExecutorFactory

-     public class PriorityExecutorFactory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static QName` | `BEFORE_EXECUTE_HANDLER`
    `static QName` | `CORE_ATT`
    `static QName` | `IS_FIXED_ATT`
    `static QName` | `KEEP_ALIVE_ATT`
    `static QName` | `MAX_ATT`
    `static QName` | `NAME_ATT`
    `static QName` | `NEXT_QUEUE_ATT`
    `static QName` | `PRIORITY_ATT`
    `static QName` | `SIZE_ATT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PriorityExecutorFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PriorityExecutor` | `createExecutor(String namespace, org.apache.axiom.om.OMElement e, boolean requireName, Properties properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME_ATT

          public static final QName NAME_ATT

    - #### SIZE_ATT

          public static final QName SIZE_ATT

    - #### PRIORITY_ATT

          public static final QName PRIORITY_ATT

    - #### IS_FIXED_ATT

          public static final QName IS_FIXED_ATT

    - #### BEFORE_EXECUTE_HANDLER

          public static final QName BEFORE_EXECUTE_HANDLER

    - #### NEXT_QUEUE_ATT

          public static final QName NEXT_QUEUE_ATT

    - #### MAX_ATT

          public static final QName MAX_ATT

    - #### CORE_ATT

          public static final QName CORE_ATT

    - #### KEEP_ALIVE_ATT

          public static final QName KEEP_ALIVE_ATT

  - ### Constructor Detail

    - #### PriorityExecutorFactory

          public PriorityExecutorFactory()

  - ### Method Detail

    - #### createExecutor

          public static PriorityExecutor createExecutor(String namespace,
                                                        org.apache.axiom.om.OMElement e,
                                                        boolean requireName,
                                                        Properties properties)
                                                 throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

Copyright © 2005–2018 Apache Software Foundation. All rights reserved.